> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# plugin

> List of installed and available Document plugins

## "plugin" MDO List

List of installed and available Document plugins

Implemented by the <see cref="T:SuperOffice.CRM.Lists.PluginProvider">PluginProvider</see> class.
The name of the MDO list is 'plugin'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/plugin
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("plugin", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id   | Name                   | StyleHint | ExtraInfo |
| ---- | ---------------------- | --------- | --------- |
| 0    | SO Archive             |           |           |
| 1234 | InMemoryDocumentPlugin |           |           |

## Related MDO Lists

* "pluginheadings"
* "pluginheadingswithallitem"
* "pluginheadingswithallitemwithnoselection"
* "pluginheadingswithnoselection"
* "pluginwithallitem"
* "pluginwithallitemwithnoselection"
* "pluginwithnoselection"


## Related topics

- [Get Plugins](/en/api/reference/restful/agent/messaging_agent/get-plugins.md)
- [NSPluginResponse](/en/automation/crmscript/reference/CRMScript.NetServer.NSPluginResponse.md)
- [Get Plugin Capabilities](/en/api/reference/restful/rest/document/get-plugin-capabilities.md)
